{  
 // Load the model data file into a data server
 TDataServer *tdsModelData = new TDataServer(); // VERY IMPORTANT: do not give any name or title to this tds !
 tdsModelData->fileDataRead("modelData.dat");
      
 // Create a GP builder based on this data server
 TGPBuilder *gpb = new TGPBuilder(tdsModelData);

 // Create the kriging model
 TKriging *krig = gpb->buildGP();

 // Display model information
 krig->printLog();        

  }