#ifndef UTILWIN32_HPP
#define UTILWIN32_HPP

#include <errno.h>
#include <math.h>
#include <cmath>
#include <sstream>
#include <stdexcept>

#define __HI(x) *(1+(int*)&x)
#define __LO(x) *(int*)&x

namespace Anisp
{

double erf(double);

double erfc(double);

double lgamma(double);

double tgamma(double);

}

#endif