// --- C++ ---
// --- coding: utf-8 ---
//
//    File
//      creation : 2012-01-09.15.25.09
//      revision : $Id$
//
//    Copyright © 2012 Commissariat à l'Energie Atomique
//      par Gilles ARNAUD (DM2S/SFME/LETR)
//        C.E. Saclay; Bat 454; 91191 GIF/YVETTE CEDEX; France
//        Tel: 01 69 08 38 86; Fax : 33 1 69 08 85 68 
//        Gilles.Arnaud@cea.fr
// 
//    Object
//      encapsulation dans une classe
// 
//___________________________________________________________________


#include "Pheromone.h"

#include "ants/aco.h"

extern "C" {
#include "stigmergie.h"
}

//ClassImp(Pheromone);

Pheromone::Pheromone(int input, int hiden) :
    _input(input), _hiden(hiden) 
{
}

Pheromone::~Pheromone() {};

struct acorun *Pheromone::pheromone()
{
    return acoplan_create(_input, _hiden);
}

