/* --- Ansi C --- */
//////////////////////////////////////////////////////////////////////
// Copyright (C) 2009-2024 CEA/DES
// 
// This program is free software: you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public License
// as published by the Free Software Foundation, either version 3 of
// the License, or any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public
// License along with this program. 
// if not, see <http://www.gnu.org/licenses/>.
//////////////////////////////////////////////////////////////////////
/*!
 \file   aco.h
 \author Gilles ARNAUD <Gilles.Arnaud@cea.fr>
 \date   2009-11-26
 
 \brief  interface de la bibliothéque
*/


#ifndef __ACO__
#define __ACO__

#include "ants/aco_struct.h"

#include "vizir/vzrfun_std.h"
#include "vizir/vzragent_api.h"
#include "vizir/vzr_pareto.h"

#include "ants/aco_query.h"
#include "ants/aco_core.h"
#include "ants/aco_agent.h"

#endif
