/* --- Ansi C --- */
//////////////////////////////////////////////////////////////////////
// Copyright (C) 2015-2024 CEA/DES
// 
// This program is free software: you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public License
// as published by the Free Software Foundation, either version 3 of
// the License, or any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public
// License along with this program. 
// if not, see <http://www.gnu.org/licenses/>.
//////////////////////////////////////////////////////////////////////
/*!
 \file   pso_core.h
 \author Gilles ARNAUD <Gilles.Arnaud@cea.fr>
 \date   2015-08-24
 
 \brief  autonomous core for particle swarm
*/

#ifndef __PSO_CORE__
#define __PSO_CORE__

#include "swarm/pso_struct.h"
#include "vizir/vzrcore_api.h"

#ifdef __cplusplus
extern "C" {
#endif

VZRLIB_EXPORT struct vzrcore *vzrcore_pso(struct psoswarm *self);

#ifdef __cplusplus
} /* end of extern "C" */
#endif

#endif
