/* --- Ansi C --- */
//////////////////////////////////////////////////////////////////////
// Copyright (C) 2015-2024 CEA/DES
// 
// This program is free software: you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public License
// as published by the Free Software Foundation, either version 3 of
// the License, or any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public
// License along with this program. 
// if not, see <http://www.gnu.org/licenses/>.
//////////////////////////////////////////////////////////////////////
/*!
 \file   pso_movestd.h
 \author Gilles ARNAUD <Gilles.Arnaud@cea.fr>
 \date   2015-08-24
 
 \brief  particle swarm movement
*/

#ifndef __PSO_MOVESTD__
#define __PSO_MOVESTD__

#include "swarm/pso_struct.h"

#ifdef __cplusplus
extern "C" {
#endif

#ifndef COMBINATOIRE
VZRLIB_EXPORT struct psomovebuild *pso_movestd(int nbgene, int good, int bad);
#endif

#ifdef __cplusplus
} /* end of extern "C" */
#endif

#endif
