
#ifndef __VZR_DLL__
#define __VZR_DLL__

#ifdef libVizir2_BUILT_AS_STATIC
#  define VZRLIB_EXPORT
#  define VZRLIB_NO_EXPORT
#else
#  ifndef VZRLIB_EXPORT
#    ifdef libVizir2_EXPORTS
        /* We are building this library */
#      define VZRLIB_EXPORT __declspec(dllexport)
#    else
        /* We are using this library */
#      define VZRLIB_EXPORT __declspec(dllimport)
#    endif
#  endif

#  ifndef VZRLIB_NO_EXPORT
#    define VZRLIB_NO_EXPORT 
#  endif
#endif

#ifndef VZRLIB_DEPRECATED
#  define VZRLIB_DEPRECATED __declspec(deprecated)
#  define VZRLIB_DEPRECATED_EXPORT VZRLIB_EXPORT __declspec(deprecated)
#  define VZRLIB_DEPRECATED_NO_EXPORT VZRLIB_NO_EXPORT __declspec(deprecated)
#endif

#define DEFINE_NO_DEPRECATED 0
#if DEFINE_NO_DEPRECATED
# define VZRLIB_NO_DEPRECATED
#endif

#endif
