/* --- Ansi C --- */
//////////////////////////////////////////////////////////////////////
// Copyright (C) 2016-2024 CEA/DES
// 
// This program is free software: you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public License
// as published by the Free Software Foundation, either version 3 of
// the License, or any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public
// License along with this program. 
// if not, see <http://www.gnu.org/licenses/>.
//////////////////////////////////////////////////////////////////////
/*!
 \file   vzr_moeadd.h
 \author Gilles ARNAUD <Gilles.Arnaud@cea.fr>
 \date   2016-05-26
 
 \brief  methode MOEA/DD
*/

#ifndef __VZR_MOEADD__
#define __VZR_MOEADD__

#include "vzrpop_util.h"

struct ddknn_info {
    struct voisin near;
    int *inner;
};
    
struct moeadd {
    int cut1, cut2, objsize, prof;
    double *pgi;
    double **weight;
};

#endif
