/**  

 If more than BIGWORK comparisons are required in
 an oacheck routine, then a warning is printed that
 a large job is underway.  If more than MEDWORK comparisons
 are required then intermediate results are printed.

 No strength checking beyond strength MAXSTR is done.
 Only change it if you implement the higher strength
 checks!

 */

#define BIGWORK 100000000
#define MEDWORK BIGWORK/10

void OA_put(int **, int, int, int);

void OA_fput(FILE *, int **, int, int, int);

int OA_get(int **, int, int, int, int);

int OA_fget(FILE *, int **, int, int, int, int);

int OA_read(int ***, int *, int *, int *);

int OA_fread(FILE *, int ***, int *, int *, int *);

int OA_parsein(int, char *[], int *, int *, int *, int ***);

void OA_strworkcheck(double, int);

int OA_strength(int, int, int, int **, int *, int);

int OA_str0(int, int, int, int **, int);

int OA_str1(int, int, int, int**, int);

int OA_str2(int, int, int, int **, int);

int OA_str3(int, int, int, int **, int);

int OA_str4(int, int, int, int **, int);

int OA_strt(int, int, int, int **, int, int);

