//////////////////////////////////////////////////////////////
// Copyright (C) 2013-2024 CEA/DES
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published
// by the Free Software Foundation, either version 3 of the License, or any
// later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with this program. If not, see <http://www.gnu.org/licenses/>.
//////////////////////////////////////////////////////////////
// TScreeming mer sep 13 12:36:50 CEST 2006
//////////////////////////////////////////////////////////////
// $Id$
// $Author$
// $Date$
// $Revision
// $State$
//////////////////////////////////////////////////////////////
/*!
 \file   TScreeming.cxx
 \author Fabrice Gaudier <fabrice.gaudier@cea.fr>
 \date   mer sep 13 12:36:50 CEST 2006
 
 \brief Implementation of the class URANIE::Sensitivity::TScreeming
 
 */

#include "TScreeming.h"

ClassImp (URANIE::Sensitivity::TScreeming)

namespace URANIE
{
namespace Sensitivity
{
TScreeming::~TScreeming()
{
    if (_blog)
        cout << "destroy TScreeming" << endl;
}

void TScreeming::printLog(Option_t *option)
{
    cout << "TScreeming::printLog[" << option << "]" << endl;
    Print();
    TSensitivity::printLog();
    cout << "TScreeming::fin de printLog[" << option << "]" << endl;
}

} // Fin du namespace Sensitivity
} // Fin du namespace URANIE

