//////////////////////////////////////////////////////////////
// Copyright (C) 2013-2024 CEA/DES
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation, either version 3 of the License, or any 
// later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////
// $Id$
// $Author$
// $Date$
// $Revision 1.2 $
// $State$
//////////////////////////////////////////////////////////////
/*!
 \file   TMpiLn2Eval.h
 \author Gilles ARNAUD <Gilles.Arnaud@cea.fr>
 \date    2011-08-23.15.30.20

 \brief fonction utilisateur mpi
 */

#ifndef __MPILN2EVAL__
#define __MPILN2EVAL__

#include "TStandardEval.h"

namespace URANIE
{
namespace MpiRelauncher
{

class TMpiLn2Eval: public URANIE::Relauncher::TSimpleEval
{
public:
    class InputError
    {
    };
    class OutputError
    {
    };

    TMpiLn2Eval();
    virtual ~TMpiLn2Eval();

    virtual int eval(vector<URANIE::DataServer::UEntry*> *, 
        vector<URANIE::DataServer::UEntry*> *, int =0 );

    ClassDef(TMpiLn2Eval, 1)
};

}
}
#endif
