//////////////////////////////////////////////////////////////
// Copyright (C) 2013-2024 CEA/DES
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation, either version 3 of the License, or any 
// later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////
// $Id$
// $Author$
// $Date$
// $Revision 1.2 $
// $State$
//////////////////////////////////////////////////////////////
/*!
 \file   TTangramEval.h
 \author Gilles ARNAUD <Gilles.Arnaud@cea.fr>
 \date    2011-04-07.12.21.00

 \brief fonction utilisateur
 */

#ifndef __TANGRAMEVAL__
#define __TANGRAMEVAL__

#include "TStandardEval.h"

namespace URANIE
{
namespace Relauncher
{

class TTangramEval: public TDoubleEval
{
public:
    TTangramEval();
    virtual ~TTangramEval(void)
    {
    }
    virtual int eval(double *, double *, int =0 );

    ClassDef(TTangramEval, 1)
};

}
}
#endif
