
/*
 * C file utilities needed by PDS
 *
 * WARNING:  These are PDS-specific!!!
 *
 */

#include <sys/types.h>
#ifndef WIN32 
#include <unistd.h> 
#else
#include <io.h>
#include <process.h>
#endif
#include <sys/stat.h>
#include <fcntl.h>
#include <stdio.h>

#include "pds.h"

int bin_open(char *filename, int *fd)
{
#ifdef WIN32
  *fd = open(filename, O_CREAT | O_RDWR, S_IREAD | S_IWRITE);
#else
  *fd = open(filename, O_CREAT | O_RDWR, S_IRUSR | S_IWUSR);
#endif
  if (*fd == -1)
    return -1;
  else
    return 0;
}

int bin_close(int fd)
{
  int error;

  error = close(fd);
  return error;
}
#ifdef needed
int read_fopen(char *filename, int *fd)
{
  if ((*fd = fopen(filename, "r")) == NULL)
    return 9;
  else
    return 1;
}

int file_fclose(int fd)
{
  fclose(fd);
  return 1;
}

int read_next(char *filename, int pos, int *record, int size, int length, int *end)
{
  fseek(filename, (long) pos, SEEK_SET);
  fread(READ_TYPE record, size, length, filename);
  end = feof(filename);
  return 1;
}
#endif
