# Parametres de taille des sorties des tests
set(CTEST_CUSTOM_MAXIMUM_PASSED_TEST_OUTPUT_SIZE 1000000000)
set(CTEST_CUSTOM_MAXIMUM_FAILED_TEST_OUTPUT_SIZE 1000000000)

# Definition des erreurs/warnings
set(CTEST_CUSTOM_ERROR_EXCEPTION
    ${CTEST_CUSTOM_ERROR_EXCEPTION}
    "attention"
   )
set(CTEST_CUSTOM_MAXIMUM_NUMBER_OF_ERRORS 2000)
set(CTEST_CUSTOM_WARNING_MATCH
    ${CTEST_CUSTOM_WARNING_MATCH}
    "attention "
   )
set(CTEST_CUSTOM_MAXIMUM_NUMBER_OF_WARNINGS 3000)

# Nombre de secondes avant qu'un test soit considere comme bloque
set(CTEST_TEST_TIMEOUT 10800)

include(ProcessorCount)
ProcessorCount(NUM_PROCS_AVAILABLE)
math(EXPR NUM_PROCS_USED "${NUM_PROCS_AVAILABLE}/2 + 1")
message(STATUS "Number of processors used / available: ${NUM_PROCS_USED} / ${NUM_PROCS_AVAILABLE}")
