{
//=========Macro generated from canvas: c1/c1
    TCanvas *c1 = new TCanvas("c1", "c1",0,0,500,450);
    c1->ToggleEventStatus();
    c1->SetHighLightColor(2);
    c1->Range(0,0,1,1);
    c1->SetBorderSize(2);
    c1->SetFrameFillColor(0);
    c1->SetFrameFillColor(18);
    c1->SetFrameFillStyle(0);
    c1->SetFrameLineColor(19);
    c1->SetFrameBorderMode(0);
    c1->SetFrameBorderSize(0);
// Create a TParallelCoord.
    TFile *f = TFile::Open("geyser.dat__data__tree__.root");
    TTree* tree = (TTree*)f->Get("geyser.dat__data__tree__");
    TParallelCoord* para = new TParallelCoord(tree,272);
    // Load the entrylists.
    TFile *entries = TFile::Open("geyser.dat__data__tree___parallelcoord_entries.root");
    TEntryList *currententries = (TEntryList*)entries->Get("currententries");
    tree->SetEntryList(currententries);
    para->SetInitEntries((TEntryList*)entries->Get("initentries"));
    para->SetCurrentEntries(currententries);
    TParallelCoordSelect* sel;
    para->GetSelectList()->Delete();
    para->AddSelection("Selection");
    sel = (TParallelCoordSelect*)para->GetSelectList()->Last();
    sel->SetLineColor(600);
    sel->SetLineWidth(1);
    tree->Draw("xnorm:x1","","goff para");
    TSelectorDraw* selector = (TSelectorDraw*)((TTreePlayer*)tree->GetPlayer())->GetSelector();
    TParallelCoordVar* var;
    // ***************************************
    // Create the axis "xnorm".
    para->AddVariable(selector->GetVal(0),"xnorm");
    var = (TParallelCoordVar*)para->GetVarList()->Last();
    var->SetBit(TParallelCoordVar::kLogScale,0);
    var->SetBit(TParallelCoordVar::kShowBox,0);
    var->SetBit(TParallelCoordVar::kShowBarHisto,1);
    var->SetHistogramBinning(100);
    var->SetHistogramLineWidth(2);
    var->SetInitMin(43.0457);
    var->SetInitMax(96.13537);
    var->SetHistogramHeight(0.5);
    var->GetMinMaxMean();
    var->GetHistogram();
    var->SetFillStyle(3001);
    var->SetFillColor(809);
    var->SetLineColor(1);
    var->SetLineWidth(1);
    var->SetLineStyle(1);
    // ***************************************
    // Create the axis "x1".
    para->AddVariable(selector->GetVal(1),"x1");
    var = (TParallelCoordVar*)para->GetVarList()->Last();
    var->SetBit(TParallelCoordVar::kLogScale,0);
    var->SetBit(TParallelCoordVar::kShowBox,0);
    var->SetBit(TParallelCoordVar::kShowBarHisto,1);
    var->SetHistogramBinning(100);
    var->SetHistogramLineWidth(2);
    var->SetInitMin(1.6);
    var->SetInitMax(5.1);
    var->SetHistogramHeight(0.5);
    var->GetMinMaxMean();
    var->GetHistogram();
    var->SetFillStyle(3001);
    var->SetFillColor(809);
    var->SetLineColor(1);
    var->SetLineWidth(1);
    var->SetLineStyle(1);
    // ***************************************
    // Set the TParallelCoord parameters.
    para->SetCurrentFirst(0);
    para->SetCurrentN(272);
    para->SetWeightCut(0);
    para->SetDotsSpacing(0);
    para->SetLineColor(408);
    para->SetLineWidth(1);
    para->SetBit(TParallelCoord::kVertDisplay,1);
    para->SetBit(TParallelCoord::kCurveDisplay,0);
    para->SetBit(TParallelCoord::kPaintEntries,1);
    para->SetBit(TParallelCoord::kLiveUpdate,0);
    para->SetBit(TParallelCoord::kGlobalLogScale,0);

    para->Draw();

    TPaveText *pt = new TPaveText(0.05,0.95,0.35,1,"br");
    pt->SetFillColor(19);
    TText *text = pt->AddText("xnorm:x1");
    pt->Draw();
    c1->Modified();
    c1->cd();
    c1->SetSelected(c1);
}
