
void reoptimizeZoneBiSubMpi_wrapper()
{
    int nProc = 7;
    
    // OS abstraction
    string to_null = " >> /dev/null";
    string mpi_options = " -oversubscribe";
    if (string(gSystem->GetBuildArch()) == "win64") {
        to_null = " > NUL";
        mpi_options.clear();
    }

    // Run the macro with MPI
    string mpi_command = "mpiexec -n " + to_string(nProc) + mpi_options +
        " root -l -q -b reoptimizeZoneBiSubMpi.C" + to_null;
    gSystem->Exec(mpi_command.data());

    // Get the outputs into the TDS
    TDataServer *tds = new TDataServer("tdsvzr","pouet");
    tds->fileDataRead( "__coeur__.dat" );

 
}
