{
 // Define the DataServer and fill it with datas in a file
 TDataServer *tds = new TDataServer("tdsflowrate", "DataBase flowrate");
 tds->fileDataRead("sampleLHSFlowrateModel4000points.dat");

 // Create a TRegression object and compute indexes
 TRegression * treg = new TRegression(tds, "rw:r:tu:tl:hu:hl:l:kw","flowrateModel", "SRCSRRC");
 treg->computeIndexes();

 // Draw SRC Indexes
 TCanvas *cc = new TCanvas("canpie-SRC", "Pie chart SRC",10,32,1200,800);
 TPad *apad = new TPad("apad","apad",0, 0.03, 1, 1);  apad->Draw();  apad->cd();
 treg->drawIndexes("Flowrate", "", "nonewcanv,pie,SRC"); 

 // Draw SRRC Indexes
 TCanvas *ccc = new TCanvas("canpie-SRRC", "Pie chart SRRC",10,32,1200,800); 
 TPad *pad2 = new TPad("pad2","pad2",0, 0.03, 1, 1); pad2->Draw(); pad2->cd();
 treg->drawIndexes("Flowrate", "", "nonewcanv,pie,SRRC"); 
 
  }