{
  TDataServer *tds = new TDataServer();
  tds->fileDataRead("youngsmodulus.dat");
  
  TCanvas *c = new TCanvas("c1", "Test on youngsmodulus dataset",13,38,1210,1874);
  TPad *pad = new TPad("pad","pad",0, 0.03, 1, 1); pad->Draw();
  pad->Divide(1,3);
  
  TTestKolmogorovSmirnov *tks = new TTestKolmogorovSmirnov(tds,"E");
  pad->cd(1); tks->computeScore("normal:normal(30576,1450)");
  
  TTestCramerVonMises *tcvm = new TTestCramerVonMises(tds,"E");
  pad->cd(2); tcvm->computeScore("normal:normal(30576,1450)");
  
  TTestAndersonDarling *tad = new TTestAndersonDarling(tds,"E");
  pad->cd(3); tad->computeScore("normal:normal(30576,1450)");
      
}