//////////////////////////////////////////////////////////////
// Copyright (C) 2013-2024 CEA/DES
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published
// by the Free Software Foundation, either version 3 of the License, or any
// later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with this program. If not, see <http://www.gnu.org/licenses/>.
//////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////
// $Id$
// $Author$
// $Date$
// $Revision$
// $State$
//////////////////////////////////////////////////////////////
/*!
 \file   TestUserFunctions.h
 \author Fabrice Gaudier <fabrice.gaudier@cea.fr>
 \date   2012-01-30 09:39:00

 \brief Inteface for the rosenbrock function
 */

void rosenbrock(Double_t *x, Double_t *y);

void rosenbrock2(Double_t *x, Double_t *y);

void rosenbrockConstraint(Double_t *x, Double_t *y);

void funAllCost2(Double_t *x, Double_t *y);

void mydecodeImage(int *rien, int *size, double *intern, double *user);

void contHard2(double * paramt, Int_t *res);

void mydecode2(int *rien, int *size, double *intern, double *user);

// void funCostAndConstraint(Double_t *param, Double_t *res);

void funCostAndConstraint2(Double_t *param, Double_t *res);

void funAllCost(Double_t *param, Double_t *res);

void contHard1(double * paramt, Int_t *res);

void mydecode(int *rien, int *size, double *intern, double *user);

double contraste(int size, double *sol, const char **connexion);

void myfitness(double *in, double *out);



// End Of File
