
#ifndef libVizir_EXPORT_H
#define libVizir_EXPORT_H

#ifdef libVizir_BUILT_AS_STATIC
#  define libVizir_EXPORT
#  define LIBVIZIR_NO_EXPORT
#else
#  ifndef libVizir_EXPORT
#    ifdef libVizir_EXPORTS
        /* We are building this library */
#      define libVizir_EXPORT __declspec(dllexport)
#    else
        /* We are using this library */
#      define libVizir_EXPORT __declspec(dllimport)
#    endif
#  endif

#  ifndef LIBVIZIR_NO_EXPORT
#    define LIBVIZIR_NO_EXPORT 
#  endif
#endif

#ifndef LIBVIZIR_DEPRECATED
#  define LIBVIZIR_DEPRECATED __declspec(deprecated)
#  define LIBVIZIR_DEPRECATED_EXPORT libVizir_EXPORT __declspec(deprecated)
#  define LIBVIZIR_DEPRECATED_NO_EXPORT LIBVIZIR_NO_EXPORT __declspec(deprecated)
#endif

#define DEFINE_NO_DEPRECATED 0
#if DEFINE_NO_DEPRECATED
# define LIBVIZIR_NO_DEPRECATED
#endif

#endif
