/* --- Ansi C --- */
/* --- coding: utf-8 ---

    File
      creation : 2012-01-09.15.25.02
      revision : $Id$

    Copyright © 2012 Commissariat à l'Energie Atomique
      par Gilles ARNAUD (DM2S/SFME/LETR)
        C.E. Saclay; Bat 454; 91191 GIF/YVETTE CEDEX; France
        Tel: 01 69 08 38 86; Fax : 33 1 69 08 85 68 
        Gilles.Arnaud@cea.fr
 
    Object
      encapsulation dans une classe
 
___________________________________________________________________*/


#ifndef __PHEROMONE__
#define __PHEROMONE__

//ROOT
//#include "Rtypes.h"
//#include "TObject.h"

//URANIE
#include "TVizirAnts.h"


class Pheromone : public URANIE::Reoptimizer::TVizirPheromone {
    protected :
        int _input, _hiden;
        
    public :
        Pheromone(int input, int hiden);
        virtual ~Pheromone();

        virtual struct acorun *pheromone();

//    ClassDef(Pheromone, 0);
};

#endif
