/* --- Ansi C --- */
//////////////////////////////////////////////////////////////////////
// Copyright (C) 2008-2024 CEA/DES
// 
// This program is free software: you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public License
// as published by the Free Software Foundation, either version 3 of
// the License, or any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public
// License along with this program. 
// if not, see <http://www.gnu.org/licenses/>.
//////////////////////////////////////////////////////////////////////
/*!
 \file   vzr_core.h
 \author Gilles ARNAUD <Gilles.Arnaud@cea.fr>
 \date   2008-03-19
 
 \brief  solveur par algorithme genetique
*/


#ifndef __VZR_CORE__
#define __VZR_CORE__

#include "genetic/vzr_struct.h"

/* public */
#ifdef __cplusplus
extern "C" {
#endif

VZRLIB_EXPORT struct vzrcore *vzrcore_vzr(struct vizir *self);

#ifdef __cplusplus
}
#endif

#endif

