#ifndef URANIE_COMMANDS_H
#define URANIE_COMMANDS_H

#include <string>
#include "TString.h"

namespace UranieTests {
    std::string uranie_command(const std::string& command, bool redirect_output=false);
    std::string command_prefix();
    void removeFile(const char* folder, const char* filename);
    void removeFolder(const char* folder, const char* filename);
    int areFilesEqual(TString refFileName, TString otherFileName, TString ignoreLinePattern = "");

}

#endif
